import { BaseController } from '@/api/BaseController';
import { RequestOption } from '@/common/http/types';
import { ANY_OBJECT } from '@/types/generic';
import { TableData } from '@/common/types/table';
import { useUrlBuilder } from '@/common/hooks/useUrl';
import SerbiaGroupMembers from '@/types/table/serbiaGroupMembers';
import { API_CONTEXT } from '../config';

const { buildGetUrl } = useUrlBuilder();

export interface SerbiaGroupMembersData extends SerbiaGroupMembers {
  __cascade_add_temp_id__?: string | number | undefined;
}

export default class SerbiaGroupMembersController extends BaseController {
  static list(params: ANY_OBJECT, httpOptions?: RequestOption) {
    return super.post<TableData<SerbiaGroupMembersData>>(API_CONTEXT + '/app/serbiaGroupMembers/list', params, httpOptions);
  }
  static view(params: ANY_OBJECT, httpOptions?: RequestOption) {
    return super.get<SerbiaGroupMembersData>(API_CONTEXT + '/app/serbiaGroupMembers/view', params, httpOptions);
  }
  static export(params: ANY_OBJECT, fileName: string) {
    return super.download(API_CONTEXT + '/app/serbiaGroupMembers/export', params, fileName);
  }
  static import(params: ANY_OBJECT) {
    return super.upload(API_CONTEXT + '/app/serbiaGroupMembers/import', params);
  }
  static printUrl(params: ANY_OBJECT) {
    return buildGetUrl(API_CONTEXT + '/app/serbiaGroupMembers/print', params);
  }
  static add(params: ANY_OBJECT, httpOptions?: RequestOption) {
    return super.post(API_CONTEXT + '/app/serbiaGroupMembers/add', params, httpOptions);
  }
  static update(params: ANY_OBJECT, httpOptions?: RequestOption) {
    return super.post(API_CONTEXT + '/app/serbiaGroupMembers/update', params, httpOptions);
  }
  static delete(params: ANY_OBJECT, httpOptions?: RequestOption) {
    return super.post(API_CONTEXT + '/app/serbiaGroupMembers/delete', params, httpOptions);
  }
  static deleteBatch(params: ANY_OBJECT, httpOptions?: RequestOption) {
    return super.post(API_CONTEXT + '/app/serbiaGroupMembers/deleteBatch', params, httpOptions);
  }
}
